# setup_logger

Setup loguru module

!!! Запуск происходит до инициализации ядра
!!! Обязательно должен быть `from core import Core` (`Core.DIR`, `Core.ver_str`)

luguru настроен под формат:
```python
fmt = "<green>{elapsed} -- {time:YYYY-MM-DD HH:mm:ss.SSS}</green> | <level>{level:<8}</level> | {extra[module]:^12} | {extra[prefix]:<12} | {message}"
```
т.у. в `extra` нужно передавать `module` и `prefix`:

```python
log = logger.bind(module="setup_logger", prefix="setup_logger")
log.info("Hello, World!")
```

Добавление в проект:
```bash
git submodule add ssh://git@git.anidev.ru:222/roden-soft/setup_logger.git src/modules/setup_logger
```
